How to hide the returnvalue of sendcommand ?

Discussion in 'AutoCAD' started by MRL, Jul 11, 2003.

  1. MRL

    MRL Guest

    Hello,

    I wrote a VBA-routine. A screen will popup and you can click on a link
    to send email. When i click on the button the VBA-screen will be closed
    and a LISP-routine is started to send a email via VisualLisp
    The returnvalue in the textscreen is: (vlm:Sendmail)
    How can i hide the returnvalue?
    (i don't want to see which routine is started)

    Martin



    Private Sub Label2_Click()
    About_screen.Hide
    ThisDrawing.SendCommand "(vlm:SendEmail)" & vbCr
    End Sub
     
    MRL, Jul 11, 2003
    #1
  2. MRL

    Fred Wilson Guest

    Just guessing, but maybe:

    ThisDrawing.SendCommand "(vlm:SendEmail)(princ)" & vbCr

    Also, this my be a typo, but your return value is (vlm:Sendmail), but you
    are calling (vlm:SendEmail). Which is it?

    Would you mind sharing this (vlm:SendEmail) function? I have been looking
    for one and don't have the foggiest of notions of how to code one myself.

    -fred.
     
    Fred Wilson, Jul 12, 2003
    #2
  3. MRL

    MRL Guest

    Here's my LISP-routine vlm:SendEmail and VBA-source

    (defun vlm:SendEmail (/ Ishell macvalue mail)
    ;; Deze routine kan overweg met elk geinstalleerd emailprogramma.
    ;; gebruik voor spaties in de email-body: ALT+255
    (setq mail
    (strcat
    ;; Emailadres.
    "mailto:"
    ;; Onderwerp van het bericht.
    "?Subject=Support"
    ;; Inhoud van het bericht.
    "&body=<Stel hier uw vraag>"
    )
    )
    ;; De email is klaar maar wordt nog niet verzonden.
    (setq Ishell (vla-GetInterfaceObject (vlax-get-acad-object)
    "Shell.Application"))
    (vlax-invoke-method Ishell 'OPEN mail)
    (vlax-release-object Ishell)
    (princ) ; exit quitly
    )

    '----------------------------------------------------
    ' Zend een email naar
    '----------------------------------------------------
    Private Sub Label2_Click()
    About_screen.Hide
    ThisDrawing.SendCommand "(vlm:SendEmail)" & vbCr
    End Sub

    After i started it i get a returnvalue on my autocad textscreen
    How can i hide the returnvalue? (i don't want to see which routine is
    started)

    Martin
     
    MRL, Jul 12, 2003
    #3
  4. MRL

    Fred Guest

    Thanks. That worked perfectly.

    Fred


     
    Fred, Jul 14, 2003
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.